cURL
curl --request GET \
--url https://api.maesn.dev/accounting/payments/{paymentId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/payments/{paymentId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "94a5ab44-3218-4492-8b5d-a31bc0288c0b",
"currency": "EUR",
"createdDate": "2021-01-01T00:00:00Z",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"updatedDate": "2021-01-01T00:00:00Z",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
}Payments
Get payment
GET
/
accounting
/
payments
/
{paymentId}
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.boolean
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
number
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

QuickBooks
QuickBooks
Query parameters:Supported response fields:
boolean
string
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
number
PaymentLine[]
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Path Parameters
Last modified on July 9, 2026
Was this page helpful?